Skip to main content
GET
/
user-management
/
v1
/
watchlists
/
{id}
Get a watchlist
curl --request GET \
  --url https://api.messari.io/user-management/v1/watchlists/{id} \
  --header 'X-Messari-API-Key: <api-key>'
{
  "error": null,
  "data": {
    "id": "8C25A83A",
    "title": "Layer 1 Protocols",
    "assetIds": [
      "1e31218a-e44e-4285-820c-8282ee222035",
      "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
      "b3d5d66c-26a2-404c-9325-91dc714a722b"
    ],
    "createdAt": "2024-07-12T18:22:38.311119Z",
    "updatedAt": "2025-12-11T19:14:00.915569Z"
  }
}

Overview

Returns the full details of a specific watchlist, including its metadata and all asset IDs. Use this endpoint to fetch the current state of a single watchlist by its ID.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

id
string
required

Response

Default response

data
object
required
error
string